List AI memories
import requests
url = "https://platform.ankra.app/api/v1/org/ai-memory/memories"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://platform.ankra.app/api/v1/org/ai-memory/memories', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));curl --request GET \
--url https://platform.ankra.app/api/v1/org/ai-memory/memories \
--header 'Authorization: Bearer <token>'{
"memories": [
{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"content": "<string>",
"cluster_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"source_conversation_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"created_at": "2023-11-07T05:31:56Z"
}
]
}{
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>"
}
]
}AI Memory
List AI memories
Lists the cross-session memories the assistant has stored for the calling user in the current organisation, newest first, up to limit entries (default 50, at most 200).
GET
/
api
/
v1
/
org
/
ai-memory
/
memories
List AI memories
import requests
url = "https://platform.ankra.app/api/v1/org/ai-memory/memories"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://platform.ankra.app/api/v1/org/ai-memory/memories', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));curl --request GET \
--url https://platform.ankra.app/api/v1/org/ai-memory/memories \
--header 'Authorization: Bearer <token>'{
"memories": [
{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"content": "<string>",
"cluster_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"source_conversation_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"created_at": "2023-11-07T05:31:56Z"
}
]
}{
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>"
}
]
}Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Query Parameters
Required range:
1 <= x <= 200Response
Successful Response
Show child attributes
Show child attributes